
-- user action changes


CREATE TABLE USER_ACTION(
UA_ID bigint NOT NULL  IDENTITY(1,1) ,
ACTION_WHEN datetime NOT NULL ,
OPERATION_TYPE varchar(50) NOT NULL ,
USERNAME nvarchar(50) NOT NULL ,
ENTITY_TYPE varchar(50) NOT NULL ,
ENTITY_ID bigint NOT NULL ,
ENTITY_NAME nvarchar(255) NOT NULL ,
PRIMARY KEY (UA_ID))
;
